# InitializingPod class abstract interface

Interface to be implemented by pods that require initialization logic after their properties have been set by the container.

This can be used to validate configuration, open connections, or perform any logic that depends on dependency injection being complete.

### Usage Example:

    class MyRepository implements InitializingPod {
      late DatabaseClient client;

      @override
      void onReady() {
        if (client == null) {
          throw Exception('Database client must be set');
        }
      }
    }

Called automatically after dependency injection and before the pod is used.

Implemented types
  - PackageIdentifier

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

getPackageName() → String
  Represents an abstraction for identifying the package that an object, resource, or service belongs to.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onReady() → Future<void>
  Interface to be implemented by pods that require initialization logic after their properties have been set by the container.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited